---
title: HROS Assessments Catalog Use Case Samples
gitlaburl: https://gitlab.com/arbetsformedlingen/individdata/connect-once/common-cv-model/-/blob/main//HROpen-v4.2-1/assessments/json/samples/CatalogType/catalog_ucs.md
gitdir: /arbetsformedlingen/individdata/connect-once/common-cv-model
gitdir-file-path: /HROpen-v4.2-1/assessments/json/samples/CatalogType/catalog_ucs.md
date: '2023-08-17 18:10:13'
path: /arbetsformedlingen/individdata/connect-once/common-cv-model/HROpen-v4.2-1/assessments/json/samples/CatalogType/catalog_ucs.md
tags:
- HROpen-v4.2-1::assessments::json::samples::CatalogType::catalog_ucs.md
- assessments::json::samples::CatalogType::catalog_ucs.md
- json::samples::CatalogType::catalog_ucs.md
- samples::CatalogType::catalog_ucs.md
- CatalogType::catalog_ucs.md
- catalog_ucs.md
---
# HROS Assessments Catalog Use Case Samples


## Sample for [uc_1a Pre-hire Assessment, Candidate Application ](https://github.com/HROpen/Assessments/wiki/uc_1)

## Description
This describes a sequence of files that represent the state of the assessment process use-case at each step.

### Actors
 Hiring Manager (HM) | Employer Recruiter (ER)| Assessment Provider (AP) | Recruiting System (ATS) | Assessment Subject (AS)
 ---------------|-------------------|----|-------------------|-----------------
 Hannah Marks | Ed Richards | Accurate Assessments, Inc | Recruiter Sys, Limited | Amy Smith

### Steps
1.a. Identification of a new resource requirement.
Hiring Manager **Hannah Marks** needs a new Java Application Programmer.

* Title: Java Programmer
* Career Level: MidCareer
* SpecifiedCompetencies: [ONET 15-1132.00 - Software Developers, Applications](http://www.onetonline.org/link/summary/15-1132.00)
  * Knowledge:
    * REST, JSON, JavaScript, Insurance Industry
  * Skills:
    * J2EE, JAXRS, RDBMS
    * onet tools_and_technology.commodity_code='43232408'
  * Abilities:
    * Work with team
    * Use collaborative tools (GitHub, Trello, Google Docs)


1. **Hannah Marks** meets with Employer Recruiter **Ed Richards** to review the KSAs associated with the job position.
2. **Ed Richards** determines which assessment is relevant to the selection of candidates.
3. The **Ed Richards** knows a **Recruiter Sys, Ltd** is an ATS with an integration with **Accurate Assessments, Inc** to help with the task. In HR Open Systems their working relationship is represented with the following:
````
{
    "catalog": {
        "party": {
            "customer": {
                "name": "Hannah Marks",
                "id": { "value": "C001" }
            },
            "requestor": {
                "name": "Ed Richards",
                "id": { "value": "R001"}
            },
            "supplier": {
                "name": "Accurate Assessments, Inc",
                "id": { "value": "S001"}
            }
        }
    }
}
````
4. **Ed Richards** chooses a suitable assessment and uses the associated packageId to preconfigure the assessment within the position's hiring workflow. This is done by querying the **Accurate Assessments** catalog.

````
<< TBD - Query String >>

Step 4. GetAssessmentCatalogResponse
{
    "catalog": {
        "party": {
            "customer": {
                "name": "Hannah Marks",
                "id": { "value": "C001" }
            },
            "requestor": {
                "name": "Ed Richards",
                "id": { "value": "R001"}
            },
            "supplier": {
                "name": "Accurate Assessments, Inc",
                "id": { "value": "S001"}
            }
        },
        "packages":[
          {
            "packageId": "P0000101",
            "applicability": {
              "assessedCompetencies": [
                {
                  "competencyIds": [
                    {"value": "tools_and_technology.commodity_code='43232408'"}
                  ]
                }
              ]
            }
          }
        ]
    }
}

````
